Subject: bug#49515: [core-updates] mescc-tools tests fail

From: Jan Nieuwenhuizen <[email-masked]>
Date: Mon, 26 Jul 2021 15:43:53 +0200

Ludovic Courtès writes:

Hi Ludo!

> Jan Nieuwenhuizen <[email-masked]> skribis:
>
>>> Should we upgrade instead?  If we do, what’s the potential for breakage?
>>> Should ‘mes-rb5’ be kept on an older version?
>>
>> We could try that, I really can't tell if upgrading to 1.1.0 creates
>> a different mes binary.
>
> I took this route and everything went well, and we can now build
> ‘bootstrap-tarballs’ on x86_64-linux.  I ended up doing additional
> changes:
>
>   e2690a8eb2 gnu: mes-rb5: Remove.
>   da32015db0 gnu: mes-minimal-stripped: Explicitly disallow references.
>   5510e1c483 gnu: mes: Remove 0.19.
>   81096caf7d gnu: mes: Switch to Guile 3.0.
>   114a9f1f80 gnu: mescc-tools: Update to 1.2.0.
>   0b9da8b5a2 gnu: m2-planet: Update to 1.8.0.
>   8b627a7701 gnu: mes-minimal: Remove unused variable.

> Removing ‘mes-rb5’ was a bit disheartening but I guess it’d have to be
> updated to the current tool versions.

Yeah, a bit sad but OK I guess.

> I removed Mes 0.19 because it failed to build with Guile 3.0 and didn’t
> appear to be needed any longer.
>
> Let me know if you think I did anything wrong!

LGTM!

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com